SDL_systhread.h File Reference
`#include "../SDL_internal.h"`
`#include "SDL_thread.h"`
`#include "SDL_thread_c.h"`
Include dependency graph for SDL_systhread.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | SDL_SYS_CreateThread (SDL_Thread *thread, void *args)
void | SDL_SYS_SetupThread (const char *name)
int | SDL_SYS_SetThreadPriority (SDL_ThreadPriority priority)
void | SDL_SYS_WaitThread (SDL_Thread *thread)
void | SDL_SYS_DetachThread (SDL_Thread *thread)
SDL_TLSData * | SDL_SYS_GetTLSData (void)
int | SDL_SYS_SetTLSData (SDL_TLSData *data)
SDL_Thread * | SDL_CreateThreadInternal (int(*fn)(void *), const char *name, const size_t stacksize, void *data)

## Function Documentation

## SDL_CreateThreadInternal()

SDL_Thread* SDL_CreateThreadInternal | ( | int(*)(void *) | fn,
|  | const char * | name,
|  | const size_t | stacksize,
|  | void * | data
| ) |  |

Definition at line 427 of file SDL_thread.c.

References NULL, and SDL_CreateThreadWithStackSize().

Referenced by open_audio_device(), and SDL_TimerInit().

{
#ifdef SDL_PASSED_BEGINTHREAD_ENDTHREAD
return SDL_CreateThreadWithStackSize(fn, name, stacksize, data, NULL, NULL);
#else
return SDL_CreateThreadWithStackSize(fn, name, stacksize, data);
#endif
}
data
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * data
Definition: SDL_opengl.h:1974
name
GLuint const GLchar * name
Definition: SDL_opengl_glext.h:660
NULL
#define NULL
Definition: begin_code.h:164
SDL_CreateThreadWithStackSize
static SDL_Thread * SDL_CreateThreadWithStackSize(int(*fn)(void *), const char *name, const size_t stacksize, void *data)
Definition: SDL_thread.c:315

## SDL_SYS_CreateThread()

int SDL_SYS_CreateThread | ( | SDL_Thread * | thread,
|  | void * | args
| ) |  |

Definition at line 35 of file SDL_systhread.c.

References SDL_Thread::handle, RunThread(), SDL_OutOfMemory, SDL_SetError, SDL_TRUE, and SDL_Thread::stacksize.

Referenced by SDL_CreateThreadWithStackSize().

{
return SDL_SetError("Threads are not supported on this platform");
}
SDL_SetError
#define SDL_SetError
Definition: SDL_dynapi_overrides.h:30

## SDL_SYS_DetachThread()

void SDL_SYS_DetachThread | ( | SDL_Thread * | thread | ) |

Definition at line 66 of file SDL_systhread.c.

References SDL_Thread::handle.

Referenced by SDL_DetachThread().

{
return;
}

## SDL_SYS_GetTLSData()

SDL_TLSData* SDL_SYS_GetTLSData | ( | void |  | ) |

Definition at line 27 of file SDL_systls.c.

References generic_local_storage, INVALID_PTHREAD_KEY, lock, NULL, SDL_AtomicLock, SDL_AtomicUnlock, SDL_Generic_GetTLSData(), SDL_MemoryBarrierAcquire, SDL_MemoryBarrierRelease, SDL_TRUE, and thread_local_storage.

Referenced by SDL_TLSCleanup(), SDL_TLSGet(), and SDL_TLSSet().

{
return SDL_Generic_GetTLSData();
}
SDL_Generic_GetTLSData
SDL_TLSData * SDL_Generic_GetTLSData(void)
Definition: SDL_thread.c:124

## SDL_SYS_SetThreadPriority()

int SDL_SYS_SetThreadPriority | ( | SDL_ThreadPriority | priority | ) |

Definition at line 54 of file SDL_systhread.c.

References SDL_SetError, SDL_THREAD_PRIORITY_HIGH, and SDL_THREAD_PRIORITY_LOW.

Referenced by SDL_SetThreadPriority().

{
return (0);
}

## SDL_SYS_SetTLSData()

int SDL_SYS_SetTLSData | ( | SDL_TLSData * | data | ) |

Definition at line 33 of file SDL_systls.c.

References generic_local_storage, SDL_Generic_SetTLSData(), SDL_SetError, and thread_local_storage.

Referenced by SDL_TLSCleanup(), and SDL_TLSSet().

{
return SDL_Generic_SetTLSData(data);
}
SDL_Generic_SetTLSData
int SDL_Generic_SetTLSData(SDL_TLSData *storage)
Definition: SDL_thread.c:163

## SDL_SYS_SetupThread()

void SDL_SYS_SetupThread | ( | const char * | name | ) |

Definition at line 42 of file SDL_systhread.c.

References i, NULL, SDL_assert, SDL_snprintf, SDL_ThreadID(), and sig_list.

Referenced by SDL_RunThread().

{
return;
}

## SDL_SYS_WaitThread()

void SDL_SYS_WaitThread | ( | SDL_Thread * | thread | ) |

Definition at line 60 of file SDL_systhread.c.

References SDL_Thread::handle.

Referenced by SDL_WaitThread().

{
return;
}